/*******************************************************************************
 *	@file			DLShow.h
 *	@brief			DirectX Library
 *
 *	@author			ohwhsmm7
 *
 *	@date			24-May-2011(Tue)
 ******************************************************************************/

#ifndef	__DLSHOW_INCLUDE__
#define	__DLSHOW_INCLUDE__

// vvZbT---------------------------------------------------------------
#include "DL.h"
#include "DLGraph.h"

#ifdef __cplusplus
extern "C" {
#endif

/*******************************************************************************
 *	@namespace	DL
 ******************************************************************************/
namespace	DL
{

// 萔`---------------------------------------------------------------------
#pragma once

// 񋓌^`-------------------------------------------------------------------

// \̒`-------------------------------------------------------------------

// NX-----------------------------------------------------------------------
/*******************************************************************************
 *	@class		CDLShow			DLShow.h			"DLShow.h"
 *	@brief		CDLMovieNX
 ******************************************************************************/
class CDLMovie
{
// 萔`---------------------------------------------------------------------
private:
protected:
public:

// o֐-------------------------------------------------------------------
private:
protected:
public:
	CDLMovie( void );
	~CDLMovie( void );

// oϐ-------------------------------------------------------------------
private:
protected:
public:

};

/*******************************************************************************
 *	@class		CDLShow			DLShow.h			"DLShow.h"
 *	@brief		CDLShowNX
 ******************************************************************************/
class CDLShow
{
// 萔`---------------------------------------------------------------------
private:
protected:
public:
	static const int MOVIE_MAX		= 4;										//!< 摍

// o֐-------------------------------------------------------------------
private:
protected:
public:
	CDLShow( void );
	~CDLShow( void );

	int Init( const HWND& hWnd,
			  const LPDIRECT3DDEVICE9 &lpD3DDev );								//!< 
	int End( void );															//!< I

	int Update( void );															//!< XV

	// fޓǂݍ
	int LoadMov( const LPWSTR& szName,
				 const int &nNum,
				 D3DTEXTURE* pD3DTex );

	// fމ
	int RemoveMov( const int &nNum );
	int RemoveALL( void );

	// IuWFNgǉ

	// IuWFNg폜

	// IuWFNgs
	int Play( const int &nNum );
	int Stop( const int &nNum );
	int Loop( const int &nNum );
	int GetRate( const int &nNum, double &dRate );
	int GetDuration( const int &nNum, double &refLen );
	int PutCurPos( const int &nNum, double &refLen );

// oϐ-------------------------------------------------------------------
private:
	HWND					m_hWnd;												//!< EChEnh
	LPDIRECT3DDEVICE9		m_lpD3DDev;											//!< Direct3D foCX

	// IuWFNg
	CDLMovie				m_CMovie;

protected:
public:

};

// OO[oϐ-----------------------------------------------------------

// O֐vg^Cv錾-----------------------------------------------------

}	// namespace	DL

#ifdef __cplusplus
}
#endif

#endif	// __DLSHOW_INCLUDE__
